# DataExchange
TKIGES
IGESGeom

# IGESGeom_HArray1OfCurveOnSurface Class Reference

`#include <IGESGeom_HArray1OfCurveOnSurface.hxx>`

## Public Member Functions

Standard_EXPORT | IGESGeom_HArray1OfCurveOnSurface (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGeom_HArray1OfCurveOnSurface (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESGeom_CurveOnSurface)&V)
Standard_EXPORT void | Init (const Handle(IGESGeom_CurveOnSurface)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGeom_CurveOnSurface)&Value)
const Handle_IGESGeom_CurveOnSurface & | Value (const Standard_Integer Index) const
Handle_IGESGeom_CurveOnSurface & | ChangeValue (const Standard_Integer Index)
const IGESGeom_Array1OfCurveOnSurface & | Array1 () const
IGESGeom_Array1OfCurveOnSurface & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESGeom_Array1OfCurveOnSurface | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_HArray1OfCurveOnSurface::IGESGeom_HArray1OfCurveOnSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGeom_HArray1OfCurveOnSurface::IGESGeom_HArray1OfCurveOnSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESGeom_CurveOnSurface)& | V
| ) |

## Member Function Documentation

const IGESGeom_Array1OfCurveOnSurface& IGESGeom_HArray1OfCurveOnSurface::Array1 | ( |  | ) | const

IGESGeom_Array1OfCurveOnSurface& IGESGeom_HArray1OfCurveOnSurface::ChangeArray1 | ( |  | ) |

Handle_IGESGeom_CurveOnSurface& IGESGeom_HArray1OfCurveOnSurface::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESGeom_HArray1OfCurveOnSurface::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESGeom_HArray1OfCurveOnSurface::Init | ( | const Handle(IGESGeom_CurveOnSurface)& | V | ) |

Standard_Integer IGESGeom_HArray1OfCurveOnSurface::Length | ( |  | ) | const

Standard_Integer IGESGeom_HArray1OfCurveOnSurface::Lower | ( |  | ) | const

void IGESGeom_HArray1OfCurveOnSurface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGeom_CurveOnSurface)& | Value
| ) |

Standard_Integer IGESGeom_HArray1OfCurveOnSurface::Upper | ( |  | ) | const

const Handle_IGESGeom_CurveOnSurface& IGESGeom_HArray1OfCurveOnSurface::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESGeom_Array1OfCurveOnSurface IGESGeom_HArray1OfCurveOnSurface::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_HArray1OfCurveOnSurface.hxx